#include <bits/stdc++.h>
using namespace std;
long long n,x,a[1000005],res=0,d,l;
int main () {
    cin>>n>>x;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    sort(a+1,a+n+1);
    if(x>a[1] and x<a[n]){
        d=abs(a[n]-x);
        l=abs(a[1]-x);
    }
    else if(x>a[n]){
        l=abs(a[1]-x);
        d=0;
    }
    else if(x<a[1]){
        d=abs(a[n]-x);
        l=0;
    }
    if(d>l and l>0 and d>0){res=d+2*l;}
    else if(d<l and l>0 and d>0){res=2*d+l;}
    else if(d==l){res=2*d+l;}
    else {res=l+d;}
    cout<<res<<endl;
    return 0;
}